import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

// https://coolors.co/eafbfd-3280a7-57c2e6-004177-f7df45
const color1 = "#EAFBFD";
const color_actual_salary = "#3280A7";
const color_market_salary = "#57C2E6";
const color4 = "#004177";
const color_salary_update = "#F7DF45";

const render = data => {
  const xValue = d => d.amount;

  const margin = { top: 60, right: 40, bottom: 88, left: 105 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const xScale = d3.scaleLinear()
    .domain([0, 100000])
    .range([0, innerWidth])

  const g = svg.append('g')
    // .attr('transform', `translate(${width / 2}, ${height / 2})`);

	g.append("rect")
  	.attr('x', 0)
  	.attr('y', 10)
    .attr('width', xScale(d3.max(data, d => d.amount)))
    .attr('height', innerHeight - 20)
  	.attr("fill", color_actual_salary)
  
  g.selectAll("line")
    .data(data.slice(0, -1))
    .enter()
    .append("line") 
    .style("stroke", color_salary_update)
  	.attr('stroke-width', xScale(400))
    .attr("x1", d => xScale(xValue(d)))
    .attr("y1", 0)
    .attr("x2", d => xScale(xValue(d)))
    .attr("y2", innerHeight); 
}

  var data = [
  {
    "date": "2016-09-25 22:00:00 UTC",
    "amount": 40000
  },
  {
    "date": "2017-03-31 22:00:00 UTC",
    "amount": 46000
  },
  {
    "date": "2017-10-31 23:00:00 UTC",
    "amount": 52000
  },
  {
    "date": "2018-06-30 22:00:00 UTC",
    "amount": 60000
  }
];
              
data.forEach(d => {
  d.amount = +d.amount;
  d.date = new Date(d.date);
});

render(data);